Bug 74843 - Sound Not Functional
Sound Not Functional
Product: Red Hat Linux
Classification: Retired
Component: tuxracer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: 74842 75780 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2002-10-01 23:46 EDT by Jack Aboutboul
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-07 21:28:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Aboutboul 2002-10-01 23:46:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
In 8.0 tux racer seems to have sound not enabled. This was consensus by many,
many users in #redhat. eSound is running. Provided strace. I'm toot tired to
figure this one out now.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install 8.0
2.make sure you pick tuxracer
3.run it!

Actual Results:  game played with no sound

Expected Results:  game should have sound as null did on same machine

Additional info:

strace output available at http://thumbingmyway.com/tuxtrace
Comment 1 Jack Aboutboul 2002-10-02 00:25:05 EDT
Note: i think you guys linked libs wrong its looking for libSM.so.6 in the wrong
place its on the system in /usr/X11R6/lib/libSM.so.6 which is not where tuxracer
wants it
Comment 2 Paul Jenner 2002-10-04 16:23:15 EDT
Confirmed the same thing here.

Other SDL shipped apps play sound fine (e.g. Maelstrom) and tuxracer played
sound fine under Null. Under Red Hat 8.0, no sound in tuxracer at all and
nothing in the diagnostic log if run in debug mode.
Comment 3 Charles R. Anderson 2002-10-07 21:28:13 EDT
Rebuilding from src.rpm seems to fix the problem.  Perhaps the latest RH rebuild
was done on a system without the right devel packages?

rpmbuild --rebuild tuxracer-0.61-16.src.rpm
Comment 4 Ngo Than 2002-10-08 16:04:32 EDT
Problem is that tuxracer needs smpeg to have sounds, but smpeg was removed in
8.0 (license problem). 

You should rebuild tuxracer with smpeg, it will work again.
Comment 5 Ngo Than 2002-10-14 11:24:32 EDT
*** Bug 74842 has been marked as a duplicate of this bug. ***
Comment 6 Ngo Than 2002-10-14 11:35:59 EDT
*** Bug 75780 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.